module "iam_roles" {
  source = "../../submodules/iam/child_account_roles"
  account_alias = var.account_alias

  assume_role_trusted_arns = concat(
    [ "arn:${var.aws_partition}:iam::${var.common_services_account}:role/user/mdr_engineer_readonly" ],
    var.iam_additional_trusted_arns
  )
}
